@echo OFF
rem  * ************************************************************************
rem  *              DIRCOMPREPARE.cmd - a Windows Command File                *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2019 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text    - Create two (2) sample directories
rem  * Author  - SimoTime Technologies
rem  * Date    - November 11, 2003
rem  * Version - 06.07.16
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     set CmdName=DirComPrepare
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%.CMD"
rem  *
rem  * Delete previously created directories.
rem  *
     if exist %BaseLib1%\myDirectoryOne rd /S /Q %BaseLib1%\myDirectoryOne
     if exist %BaseLib1%\myDirectoryTwo rd /S /Q %BaseLib1%\myDirectoryTwo
rem  *
rem  ***************************************************************************
rem  * This section will create two directories and place three files in each
rem  * directory. The contents of each directory should be identical.
rem  *
     md %BaseLib1%\myDirectoryOne
     echo Record One>%BaseLib1%\myDirectoryOne\FILE0010.TXT
     echo Record One>%BaseLib1%\myDirectoryOne\FILE0020.TXT
     echo Record Two>>%BaseLib1%\myDirectoryOne\FILE0020.TXT
     echo Record One>%BaseLib1%\myDirectoryOne\FILE0030.TXT
     echo Record Two>>%BaseLib1%\myDirectoryOne\FILE0030.TXT
     echo Record Three>>%BaseLib1%\myDirectoryOne\FILE0030.TXT
     md %BaseLib1%\myDirectoryTwo
     copy %BaseLib1%\myDirectoryOne\*.* %BaseLib1%\myDirectoryTwo\*.*
rem  *
rem  ***************************************************************************
rem  * Validate the files have been created.
     if not exist %BaseLib1%\myDirectoryTwo\FILE0030.TXT set JobStatus=0203
     if not exist %BaseLib1%\myDirectoryTwo\FILE0020.TXT set JobStatus=0202
     if not exist %BaseLib1%\myDirectoryTwo\FILE0010.TXT set JobStatus=0201
     if not exist %BaseLib1%\myDirectoryOne\FILE0030.TXT set JobStatus=0103
     if not exist %BaseLib1%\myDirectoryOne\FILE0020.TXT set JobStatus=0102
     if not exist %BaseLib1%\myDirectoryOne\FILE0010.TXT set JobStatus=0101
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  ***************************************************************************
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%.CMD, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%.CMD, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
