@echo OFF
rem  * ************************************************************************
rem  *              DIRCOMTEST2ND.cmd - a Windows Command File                *
rem  *          This Batch Job is provided by SimoTime Technologies           *
rem  *              (C) Copyright 1987-2019 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Set the global environment variables...
rem  *
     set CmdName=DIRCOMTEST2ND
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%.CMD"
rem  *
rem  ***************************************************************************
rem  * Compare the content of a single directory before and after a job        *
rem  ***************************************************************************
rem  * List the content of the directory before running a job
     dir %BaseLib1%\myDirectoryOne\*.* /a-d >%BASECAT%\Wrk1\Work01.TXT
rem  *
rem  ***************************************************************************
rem  * Run a job to change the content of one of the files in a directory.
     echo Record New>>%BaseLib1%\myDirectoryOne\FILE0020.TXT
rem  *
rem  ***************************************************************************
rem  * List the content of the directory after running a job
     dir %BaseLib1%\myDirectoryOne\*.* /a-d >%BASECAT%\Wrk1\Work02.TXT
rem  *
rem  ***************************************************************************
rem  * Call the program to sort and compare the two directory listings
     call ezDirListCompare %BASECAT%\Wrk1\Work01.TXT %BASECAT%\Wrk1\Work02.TXT
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
rem  ***************************************************************************
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%.CMD, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%.CMD, Job Status is %JobStatus%"
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
